Package org.apache.commons.daemon.support

# Class DaemonLoader

java.lang.Object
org.apache.commons.daemon.support.DaemonLoader

public final class DaemonLoader extends Object
Used by jsvc for Daemon management.

Version:
  $Id: DaemonLoader.java 1204006 2011-11-19 16:09:15Z ggregory $

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DaemonLoader.Context`
`static class`
`DaemonLoader.Controller`

## Constructor Summary

Constructors
Constructor
Description
`DaemonLoader()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`check(String cn)`
`static boolean`
`destroy()`
`static boolean`
`load(String className, String[] args)`
`static boolean`
`signal()`
`static boolean`
`start()`
`static boolean`
`stop()`
`static void`
`version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaemonLoader

public DaemonLoader()

## Method Details

### version

public static void version()

### check

public static boolean check(String cn)

### signal

public static boolean signal()

### load

public static boolean load(String className, String[] args)

### start

public static boolean start()

### stop

public static boolean stop()

### destroy

public static boolean destroy()